"""
Main interface for ec2-instance-connect service type definitions.

Usage::

    from mypy_boto3.ec2_instance_connect.type_defs import SendSSHPublicKeyResponseTypeDef

    data: SendSSHPublicKeyResponseTypeDef = {...}
"""
from __future__ import annotations

import sys

if sys.version_info >= (3, 8):
    from typing import TypedDict
else:
    from typing_extensions import TypedDict


__all__ = ("SendSSHPublicKeyResponseTypeDef",)

SendSSHPublicKeyResponseTypeDef = TypedDict(
    "SendSSHPublicKeyResponseTypeDef", {"RequestId": str, "Success": bool}, total=False
)
